Gecode::FlatZinc::SymbolTable< Val > Class Template Reference

Symbol table mapping identifiers (strings) to values. More...

`#include <symboltable.hh>`

## Public Member Functions

bool | put (const std::string &key, const Val &val)
| Insert val with key.
bool | get (const std::string &key, Val &val) const
| Return whether key exists, and set val if it does exist.

## Detailed Description

template<class Val>
class Gecode::FlatZinc::SymbolTable< Val >

Symbol table mapping identifiers (strings) to values.

Definition at line 51 of file symboltable.hh.

## Member Function Documentation

## put()

template<class Val>

bool Gecode::FlatZinc::SymbolTable< Val >::put | ( | const std::string & | key,
|  | const Val & | val )

Insert val with key.

Definition at line 76 of file symboltable.hh.

## get()

template<class Val>

bool Gecode::FlatZinc::SymbolTable< Val >::get | ( | const std::string & | key,
|  | Val & | val ) const

Return whether key exists, and set val if it does exist.

Definition at line 85 of file symboltable.hh.

The documentation for this class was generated from the following file:

- gecode/flatzinc/symboltable.hh